FROM debian:stretch
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

RUN apt-get update && \
      apt-get install -y --no-install-recommends python2.7-minimal python-pip && \
      apt-get clean && rm -rf /var/lib/apt/lists/* && \
      pip2 install --no-cache-dir odoorpc==0.8.0

# Useradd
RUN useradd odoo -m -s /bin/bash
USER odoo
COPY *.py /home/odoo/
WORKDIR /home/odoo

CMD ["/bin/true"]
